LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
NameClash.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ucb
| Universal Content Broker interfaces.

## Constant Groups
constants | com::sun::star::ucb::NameClash
| These are the possible values for TransferInfo::NameClash.

## Variables
const long | ERROR = 0
| Means to set an error and cancel the operation.
const long | OVERWRITE = 1
| Means to overwrite the object in the target folder with the object to transfer.
const long | RENAME = 2
| Means to rename the object to transfer to solve the clash.
const long | KEEP = 3
| Deprecated.
const long | ASK = 4
| Means to use a NameClashResolveRequest in order to solve the name clash.